#!/bin/bash

## Node Version Manager (nvm) needs to be installed, it can be used to install node
echo ""
echo "nvm needs to be installed before using npm, it is used to set up the node correct environment and isolate it from others."
echo "run:  nvm install 16"
echo "or if it's already installed:  nvm use 16"
echo ""
#NOTE: nvm installs itself as some kind of command line thing that can't be called from scripts, so needs to be run manually.
#nvm install 16
#nvm use 16

## This downloads all required libraries.
echo "Downloading required libraries:"
npm install

echo ""
echo "Use ./dev.sh to build a live-updating development version, or ./build.sh to build a release version"
echo ""
