// Tell typescript to not error out when including fragment and vertex sources

declare module '*.frag' {
    const value: string
    export default value
}

declare module '*.vert' {
    const value: string
    export default value
}

declare module '*.glsl' {
    const value: string
    export default value
}

// Make typescript accept includes starting with "bundle-text:" without errors.  
// They are processed by parcel at build time (it presents the imported file as a text string).
declare module 'bundle-text:*' {
    const value: string;
    export default value;
}