#!/bin/bash

# Get size of target file
filesize=$(ls -l $1 | awk '{print  $5}')

# Relevant thresholds
s=""
if (( $filesize <= 1024 )); then
    s="🐸 \e[1;37m"
elif (( $filesize <= 2048 )); then
    s="🐰 \e[1;36m"
elif (( $filesize <= 4096 )); then
    s="🦊 \e[1;32m"
elif (( $filesize <= 8192 )); then
    s="🐷 \e[1;33m"
elif (( $filesize <= 65536 )); then
    s="🐻 \e[1;35m"
else
    s="🦍 \e[1;31m"
fi


echo -e "📦 \e[35mSize of \e[34m$1\e[35m: $s$filesize\e[0;35m bytes\e[0m"
